Miniconda3 installation problem

16 views
Skip to first unread message

Anna Sotnikova

unread,
Jan 10, 2021, 10:20:05 PMJan 10
to anac...@anaconda.com
Hello,

I am trying to install miniconda: 
bash Miniconda3-latest-Linux-x86_64.sh (Welcome to Miniconda3 py38_4.9.2)

Getting the following no space left error:

[/cliphomes/annasout/miniconda3] >>> miniconda3

PREFIX=/fs/clip-scratch/annasout/miniconda3

Unpacking payload ...

Traceback (most recent call last):

  File "entry_point.py", line 59, in <module>

  File "concurrent/futures/process.py", line 555, in __init__

  File "concurrent/futures/process.py", line 165, in __init__

  File "multiprocessing/queues.py", line 42, in __init__

  File "multiprocessing/context.py", line 68, in Lock

  File "multiprocessing/synchronize.py", line 162, in __init__

  File "multiprocessing/synchronize.py", line 57, in __init__

OSError: [Errno 28] No space left on device

[12318] Failed to execute script entry_point


Not sure what to do since I do have space.


Appreciate any help!

Thanks!

Anna

David Kun

unread,
Jan 11, 2021, 5:51:00 PMJan 11
to Anaconda - Public, asot...@umd.edu
Hmm...  You can try changing the folder location (with sufficient space) that is specified in the PREFIX argument.

Ray Donnelly

unread,
Jan 11, 2021, 5:52:33 PMJan 11
to Anaconda - Public, anac...@anaconda.com
This is likely space in your tmp directory that's lacking

--
Community Discussion Forum for Anaconda
---
You received this message because you are subscribed to the Google Groups "Anaconda - Public" group.
To unsubscribe from this group and stop receiving emails from it, send an email to anaconda+u...@continuum.io.
To view this discussion on the web visit https://groups.google.com/a/continuum.io/d/msgid/anaconda/CAKRjcEfMJ_-_aNCzRmGm7L2cdF-0uGbAXwxSUG1BGZzHmqisfA%40mail.gmail.com.

Anna Sotnikova

unread,
Jan 11, 2021, 9:19:52 PMJan 11
to anac...@continuum.io, anac...@anaconda.com
Thanks All for the replies!

I am not sure what was the problem - but I could install an older version of Anaconda for Python 3.7, then update python to 3.8 and everything works fine.

Best,
Anna

Reply all
Reply to author
Forward
0 new messages